## stm32flash 0.3+dfsg

=== Makefile ===
PREFIX = /usr/local
CFLAGS += -Wall -g

INSTALL = install

OBJS = main.o utils.o stm32.o serial_common.o serial_platform.o init.o

LIBOBJS = parsers/parsers.a

all: stm32flash

serial_platform.o: serial_posix.c serial_w32.c

parsers/parsers.a:
	cd parsers && $(MAKE) parsers.a

stm32flash: $(OBJS) $(LIBOBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBOBJS)

clean:
	rm -f $(OBJS) stm32flash
	cd parsers && $(MAKE) $@

install: all
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 755 stm32flash $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/man/man1
	$(INSTALL) -m 644 stm32flash.1 $(DESTDIR)$(PREFIX)/share/man/man1

.PHONY: all clean install

=== debian/changelog ===
stm32flash (0.3+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #735917).

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 22 Jul 2014 18:46:45 +0200

=== debian/control ===
Source: stm32flash
Section: electronics
Priority: extra
Maintainer: Andrew Shadura <andrewsh@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: http://code.google.com/p/stm32flash/

Package: stm32flash
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: STM32 chip flashing utility using a serial bootloader
 stm32flash is a flashing program for the STM32 ARM processors using the ST
 serial bootloader compliant with application note AN3155.
 .
 Features:
  * device identification
  * write to flash/RAM
  * read from flash/RAM
  * auto-detect Intel hex or raw binary input format with option to force binary
  * flash from binary file
  * save flash to binary file
  * verify and retry up to N times on failed writes
  * start execution at specified address
  * software reset the device when finished if -g not specified
  * resume already initialized connection (for when reset fails)

=== debian/watch ===
version=3

opts=dversionmangle=s/.dfsg//,uversionmangle=s/beta/~beta/ http://releases.stm32flash.googlecode.com/git/stm32flash-(.*)\.tar\.gz

## stm32flash 0.4

=== debian/changelog ===
stm32flash (0.4-2) unstable; urgency=medium

  * Fix build on Hurd and kFreeBSD.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 06 Oct 2014 22:04:43 +0200

stm32flash (0.4-1) unstable; urgency=medium

  * New upstream release (Closes: #763972).

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 06 Oct 2014 08:35:56 +0200

=== debian/control ===
--- 
+++ 
@@ -24,3 +24,5 @@
   * start execution at specified address
   * software reset the device when finished if -g not specified
   * resume already initialized connection (for when reset fails)
+  * GPIO signalling
+  * I²C support

## stm32flash 0.5

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,15 @@
 
 INSTALL = install
 
-OBJS = main.o utils.o stm32.o serial_common.o serial_platform.o init.o
+OBJS =	dev_table.o	\
+	i2c.o		\
+	init.o		\
+	main.o		\
+	port.o		\
+	serial_common.o	\
+	serial_platform.o	\
+	stm32.o		\
+	utils.o
 
 LIBOBJS = parsers/parsers.a
 
@@ -11,7 +19,7 @@
 
 serial_platform.o: serial_posix.c serial_w32.c
 
-parsers/parsers.a:
+parsers/parsers.a: force
 	cd parsers && $(MAKE) parsers.a
 
 stm32flash: $(OBJS) $(LIBOBJS)
@@ -27,4 +35,6 @@
 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/man/man1
 	$(INSTALL) -m 644 stm32flash.1 $(DESTDIR)$(PREFIX)/share/man/man1
 
-.PHONY: all clean install
+force:
+
+.PHONY: all clean install force

=== parsers/Makefile ===

CFLAGS += -Wall -g

all: parsers.a

parsers.a: binary.o hex.o
	$(AR) rc $@ binary.o hex.o

clean:
	rm -f *.o parsers.a

.PHONY: all clean

=== debian/changelog ===
stm32flash (0.5-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:45:48 +0000

stm32flash (0.5-1) unstable; urgency=medium

  [ Tormod Volden ]
  * New upstream release
  * Drop debian/patches/i2c-linuxonly.patch (applied upstream)
  * Standards-Version bumped to 3.9.6 (no changes needed)

  [ Andrew Shadura ]
  * Update the copyright file.
  * Don't detect Windows-only zipballs from the upstream.

 -- Tormod Volden <debian.tormod@gmail.com>  Mon, 15 Feb 2016 13:01:34 +0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: stm32flash
 Section: electronics
 Priority: extra
-Maintainer: Andrew Shadura <andrewsh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andrew Shadura <andrewsh@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
-Homepage: http://code.google.com/p/stm32flash/
+Standards-Version: 3.9.6
+Homepage: http://stm32flash.sourceforge.net/
 
 Package: stm32flash
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

.PHONY: override_dh_auto_install

=== debian/watch ===
version=3

opts=dversionmangle=s/.dfsg//,uversionmangle=s/beta/~beta/ http://sf.net/stm32flash/stm32flash-(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## stm32flash 0.5+git20200914+2b0f078

=== debian/changelog ===
stm32flash (0.5+git20200914+2b0f078-1) unstable; urgency=medium

  * Track upstream Git snapshots.
  * Add gbp.conf.
  * New upstream release.
  * Update the name.
  * Set Standards-Version: 4.5.0.
  * Use secure copyright file specification URI.
  * Use secure URI in debian/watch.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 30 Oct 2020 17:47:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: stm32flash
 Section: electronics
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrew Shadura <andrewsh@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Priority: optional
+Maintainer: Andrej Shadura <andrewsh@debian.org>
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.5.0
 Homepage: http://stm32flash.sourceforge.net/
+Vcs-Browser: https://salsa.debian.org/debian/stm32flash
+Vcs-Git: https://salsa.debian.org/debian/stm32flash.git
 
 Package: stm32flash
 Architecture: any

## stm32flash 0.7

=== debian/changelog ===
stm32flash (0.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.6.1, no changes needed.
  * Use autoconf when building the package.
  * Install the manpage.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 29 Jan 2023 22:09:29 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: electronics
 Priority: optional
 Maintainer: Andrej Shadura <andrewsh@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.1
 Homepage: http://stm32flash.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/debian/stm32flash
 Vcs-Git: https://salsa.debian.org/debian/stm32flash.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=autoconf

=== debian/watch ===
version=4

opts=dversionmangle=s/.dfsg//,uversionmangle=s/beta/~beta/ https://sf.net/stm32flash/stm32flash-(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

opts="mode=git, pgpmode=none, pretty=0.5+git%cd+%h, repack, compression=xz" \
 https://git.code.sf.net/p/stm32flash/code \
 HEAD
